export interface PackageMetadata {
    name?: string;
    path: string;
    version?: string;
}
type PackageMetadataInput = string | URL;
export declare function findPackageMetadata(from: PackageMetadataInput): PackageMetadata | undefined;
export declare function packageMetadata(from?: PackageMetadataInput): PackageMetadata;
export declare function findEntrypointPackageMetadata(entrypoint: string | undefined): PackageMetadata | undefined;
export {};
